## class OSGUTIL_EXPORT osgUtil::Hit

### Public Fields

float _ratio
osg::ref_ptr<osg::LineSegment> _originalLineSegment
osg::ref_ptr<osg::LineSegment> _localLineSegment
osg::NodePath _nodePath
osg::ref_ptr<osg::Geode> _geode
osg::ref_ptr<osg::Drawable> _drawable
osg::ref_ptr<osg::RefMatrix> _matrix
osg::ref_ptr<osg::RefMatrix> _inverse
VecIndexList _vecIndexList
int _primitiveIndex
osg::Vec3 _intersectPoint
osg::Vec3 _intersectNormal

### Public Methods

Hit()
Hit(const Hit& hit)
~Hit()
Hit& operator = (const Hit& hit)
bool operator < (const Hit& hit) const
const osg::Vec3& getLocalIntersectPoint() const
const osg::Vec3& getLocalIntersectNormal() const
const osg::Vec3 getWorldIntersectPoint() const
const osg::Vec3 getWorldIntersectNormal() const

### Public Members

typedef std::vector<int> VecIndexList

## Documentation

`Hit()`

`Hit(const Hit& hit)`

`~Hit()`

`Hit& operator = (const Hit& hit)`

`typedef std::vector<int> VecIndexList`

`bool operator < (const Hit& hit) const`

`const osg::Vec3& getLocalIntersectPoint() const`

`const osg::Vec3& getLocalIntersectNormal() const`

`const osg::Vec3 getWorldIntersectPoint() const`

`const osg::Vec3 getWorldIntersectNormal() const`

`float _ratio`

`osg::ref_ptr<osg::LineSegment> _originalLineSegment`

`osg::ref_ptr<osg::LineSegment> _localLineSegment`

`osg::NodePath _nodePath`

`osg::ref_ptr<osg::Geode> _geode`

`osg::ref_ptr<osg::Drawable> _drawable`

`osg::ref_ptr<osg::RefMatrix> _matrix`

`osg::ref_ptr<osg::RefMatrix> _inverse`

`VecIndexList _vecIndexList`

`int _primitiveIndex`

`osg::Vec3 _intersectPoint`

`osg::Vec3 _intersectNormal`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.